#
# spec file for package jsonrpc-glib
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover 1_0-0
Name:           jsonrpc-glib
Version:        3.26.1
Release:        lp150.1.8
Summary:        Library to communicate with JSON-RPC based peers
License:        LGPL-2.1+
Group:          Development/Libraries/GNOME
Url:            https://git.gnome.org/browse/jsonrpc-glib/
Source:         http://download.gnome.org/sources/jsonrpc-glib/3.26/%{name}-%{version}.tar.xz
BuildRequires:  gtk-doc
BuildRequires:  meson >= 0.38.1
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(vapigen)

%description
This is a library to communicate with JSON-RPC based peers in
either a synchronous or asynchronous fashion. It also allows
communicating using the GVariant serialization format instead of
JSON when both peers support it. You might want that when
communicating on a single host to avoid parser overhead and
memory-allocator fragmentation.

%package -n     libjsonrpc_glib-%{sover}
Summary:        Library to communicate with JSON-RPC based peers
Group:          System/Libraries

%description -n libjsonrpc_glib-%{sover}
This is a library to communicate with JSON-RPC based peers in
either a synchronous or asynchronous fashion. It also allows
communicating using the GVariant serialization format instead of
JSON when both peers support it. You might want that when
communicating on a single host to avoid parser overhead and
memory-allocator fragmentation.

%package -n     typelib-1_0-Jsonrpc-1.0
Summary:        JSON-RPC based peers lib -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-Jsonrpc-1.0
This is a library to communicate with JSON-RPC based peers in
either a synchronous or asynchronous fashion. It also allows
communicating using the GVariant serialization format instead of
JSON when both peers support it. You might want that when
communicating on a single host to avoid parser overhead and
memory-allocator fragmentation. -- Introspection bindings

%package        devel
Summary:        Development environment for jsonrpc-glib
Group:          Development/Languages/C and C++
Requires:       libjsonrpc_glib-%{sover} = %{version}
Requires:       typelib-1_0-Jsonrpc-1.0 = %{version}

%description devel
This package contains all files necessary to build binaries using
jsonrpc-glib

%prep
%autosetup

%build
%{meson} \
	-Denable_profiling=false \
	-Dwith_introspection=true \
	-Dwith_vapi=true \
	-Denable_gtk_doc=true \
	-Denable_tests=false \
	%{nil}
%{meson_build}

%install
%{meson_install}

%post -n libjsonrpc_glib-%{sover} -p /sbin/ldconfig
%postun -n libjsonrpc_glib-%{sover} -p /sbin/ldconfig

%files -n libjsonrpc_glib-%{sover}
%doc COPYING
%{_libdir}/libjsonrpc_glib-1.0.so.*

%files -n typelib-1_0-Jsonrpc-1.0
%{_libdir}/girepository-1.0/Jsonrpc-1.0.typelib

%files devel
%doc AUTHORS CONTRIBUTING.md NEWS README.md
%doc %{_datadir}/gtk-doc/html/jsonrpc-glib/
%dir %{_includedir}/jsonrpc-glib-1.0
%{_includedir}/jsonrpc-glib-1.0/jsonrpc-*.h
%{_libdir}/libjsonrpc_glib-1.0.so
%{_datadir}/gir-1.0/Jsonrpc-1.0.gir
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/jsonrpc-glib-1.0.deps
%{_datadir}/vala/vapi/jsonrpc-glib-1.0.vapi
%{_libdir}/pkgconfig/jsonrpc-glib-1.0.pc

%changelog
* Thu Oct  5 2017 luc14n0@linuxmail.org
- Update to version 3.26.1:
  + Require -std=gnu11 in project config. We always required this,
    but previously we were relying on the default GCC flags to do
    so.
  + Fix improper use of va_list on non-Intel architectures.
  + JsonrpcOutputStream now properly checks for pending operations
    before flushing, so that an error is not incorrectly
    synthesized.
  + Improved error propagation from data streams.
  + Correctness fixes for stress tests.
* Tue Sep 12 2017 zaitor@opensuse.org
- Update to version 3.26.0:
  + Run test suite as part of build tooling.
- Enable gtk-doc BuildRequires, build documentation.
- Add enable_profiling=false, enable_gtk_doc=true and
  enable_tests=false to meson, ensure we build the features we
  want.
* Thu Sep  7 2017 dimstar@opensuse.org
- Update to version 3.25.92:
  + Check for version-script support from linker.
  + Fix impossible comparison in JsonrpcInputStream.
* Tue Jul  4 2017 zaitor@opensuse.org
- Initial build for openSUSE, version 3.25.3.
